DO $$ 
	DECLARE _path character varying(256) = 'patch-2024-12-21-EventDetails_RecurrenceDt';

	BEGIN
		IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Path"=_path) THEN
			RETURN;
		END IF;

		IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Build">=14592) THEN
			RETURN;
		END IF;

		BEGIN
			ALTER TABLE public."EventDetails" ADD "RecurrenceDt" timestamp NULL;
			
			INSERT INTO public."Versions" ("Path", "Build") VALUES (_path, 0);
           EXCEPTION
			WHEN OTHERS THEN RAISE NOTICE '[ERR] patch-2024-12-21-EventDetails_RecurrenceDt: %', SQLERRM;
		END;
	END;
$$